<form [formGroup]="userForm" (ngSubmit)="onSubmit()" class="user-form">
    <div class="form-group">
        <label for="code">Code:</label>
        <input type="text" id="code" formControlName="code">
        <span *ngIf="!userForm.get('code')!.valid && userForm.get('code')!.touched" class="help-block">
            <p class="error-message">Code is invalid must be 6 character</p>
        </span>
    </div>
    <div class="form-group">
        <label for="bic">BIC:</label>
        <div class="bic-inputs" formGroupName="bic">
            <div>
                <input type="text" id="bic1" formControlName="bic1">
                <label for="bic1">-</label>
            </div>
            <div>
                <input type="text" id="bic2" formControlName="bic2">
                <label for="bic2">-</label>
            </div>
            <div>
                <input type="text" id="bic3" formControlName="bic3">
                <label for="bic3">-</label>
            </div>
            <div>
                <input type="text" id="bic4" formControlName="bic4">
            </div>
        </div>
        <span *ngIf="!userForm.get('bic')!.valid && userForm.get('bic')!.touched" class="help-block">
            <p class="error-message">Bic is invalid</p>
        </span>
    </div>
    <div class="form-group">
        <label for="name">Name:</label>
        <input type="text" id="name" formControlName="name">
        <span *ngIf="!userForm.get('name')!.valid && userForm.get('name')!.touched" class="help-block">
            <p class="error-message">name is invalid</p>
        </span>
    </div>
    <div class="form-group">
        <label for="shortName">Short Name:</label>
        <input type="text" id="shortName" formControlName="shortName">
        <span *ngIf="!userForm.get('shortName')!.valid && userForm.get('shortName')!.touched" class="help-block">
            <p class="error-message">shortName is invalid</p>
        </span>
    </div>
    <div class="form-group">
        <label for="type">Type:</label>
        <div class="radio-group">
            <label>
                <input type="radio" name="type" value="direct" formControlName="type" (change)="toggleSettlementBank(false)">
                Direct
            </label>
            <label>
                <input type="radio" name="type" value="indirect" formControlName="type" (change)="toggleSettlementBank(true)">
                Indirect
            </label>
        </div>
    </div>

    <div class="form-group" *ngIf="showSettlementBank">
        <label for="settlementBank">Settlement Bank:</label>
        <input type="text" id="settlementBank" formControlName="settlementBank">
    </div>

    <div class="form-group" *ngIf="!userToUpdate">
        <label for="logo">Logo:</label>
        <input type="file" id="logo" formControlName="logo" accept="image/*" (change)="onLogoSelected($event)"
            class="form-control-file">
        <img *ngIf="logoPreview" [src]="logoPreview" alt="Logo Preview" class="logo-preview">
    </div>

    <button type="submit" class="btn btn-primary" >Submit</button>
</form>

